ResultMeasureResultAllOptions Class

class NXOpen.CAE.ResultMeasureResultAllOptions

Bases: NXOpen.CAE.ResultMeasureResultOptions

Represents the combination of all result options for result measure

To obtain an instance of this class use NXOpen.CAE.ResultMeasureCollection.

New in version NX8.5.0.

Methods

Method Description
Dispose Frees the object from memory.
SetAbsoluteValue Set the option to use absolute values
SetAddBeamFillets Set the option to add beam fillets for calculation of beam stresses only
SetBeamFilletRadius Set the beam fillet radius if adding beam fillets for calculation of beam results only
SetBeamSection Set the beam section for beam stress/strain results
SetCalculateBeamResults Set the option to calculate beam stresses for beam results only
SetCoordinateSystem Set the coordinate system for directional components
SetOperation Set the operation type
SetPlynum Set the ply num in result option
SetShellSection Set the shell section for shell stress/strain results
SetUnit Set the unit

Method Detail

Dispose

ResultMeasureResultAllOptions.Dispose

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Signature Dispose()

New in version NX8.5.0.

License requirements: None.

SetAddBeamFillets

ResultMeasureResultAllOptions.SetAddBeamFillets

Set the option to add beam fillets for calculation of beam stresses only

Signature SetAddBeamFillets(bAddBeamFillets)

Parameters:bAddBeamFillets (bool) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetBeamFilletRadius

ResultMeasureResultAllOptions.SetBeamFilletRadius

Set the beam fillet radius if adding beam fillets for calculation of beam results only

Signature SetBeamFilletRadius(beamFilletRadius)

Parameters:beamFilletRadius (float) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetBeamSection

ResultMeasureResultAllOptions.SetBeamSection

Set the beam section for beam stress/strain results

Signature SetBeamSection(eBeamSect)

Parameters:eBeamSect (NXOpen.CAE.ResultSection) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetCalculateBeamResults

ResultMeasureResultAllOptions.SetCalculateBeamResults

Set the option to calculate beam stresses for beam results only

Signature SetCalculateBeamResults(bCalcBeamResults)

Parameters:bCalcBeamResults (bool) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetCoordinateSystem

ResultMeasureResultAllOptions.SetCoordinateSystem

Set the coordinate system for directional components

Signature SetCoordinateSystem(eCsys)

Parameters:eCsys (NXOpen.CAE.ResultCoordinateSystem) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetShellSection

ResultMeasureResultAllOptions.SetShellSection

Set the shell section for shell stress/strain results

Signature SetShellSection(eShellSect)

Parameters:eShellSect (NXOpen.CAE.ResultSection) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)